Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkc_SingleListObject Struct Reference

`#include <dkcSingleList.h>`

Collaboration diagram for dkc_SingleListObject:

[legend]
List of all members.

## Public Member Functions
| int (WINAPI *setbuffer)(DKC_SINGLELIST *ptr
| int (WINAPI *getbuffer)(DKC_SINGLELIST *ptr
## Public Attributes
DKC_SINGLELIST * | mBegin
DKC_SINGLELIST * | mTail
DKC_SINGLELIST *(* | next )(const DKC_SINGLELIST *)
DKC_SINGLELIST *(* | begin )(struct dkc_SingleListObject *)
DKC_SINGLELIST *(* | tail )(struct dkc_SingleListObject *)
BOOL(* | end )(const DKC_SINGLELIST *)
BOOL(* | push_back )(struct dkc_SingleListObject *, const void *data, size_t size)
void(* | erase )(struct dkc_SingleListObject *p, DKC_SINGLELIST *prev, DKC_SINGLELIST *target)
const void * | data
const void size_t | size
void * | data
void size_t | size
BOOL(* | empty )(struct dkc_SingleListObject *)

## Detailed Description

stlもどき(の、つもり・・・）

## Member Function Documentation

dkc_SingleListObject::int | ( | WINAPI * | getbuffer | ) |

dkc_SingleListObject::int | ( | WINAPI * | setbuffer | ) |

## Member Data Documentation

DKC_SINGLELIST*(* dkc_SingleListObject::begin)(struct dkc_SingleListObject *)

void* dkc_SingleListObject::data

const void* dkc_SingleListObject::data

BOOL(* dkc_SingleListObject::empty)(struct dkc_SingleListObject *)

BOOL(* dkc_SingleListObject::end)(const DKC_SINGLELIST *)

void(* dkc_SingleListObject::erase)(struct dkc_SingleListObject *p,DKC_SINGLELIST *prev,DKC_SINGLELIST *target)

  | Parameters:
  p[in] | struct dkc_SingleListObjectへのポインタ
  prev[in][out] | 削除する要素(target)の前のポインタ
  target[in] | 削除する要素

DKC_SINGLELIST* dkc_SingleListObject::mBegin

DKC_SINGLELIST* dkc_SingleListObject::mTail

DKC_SINGLELIST*(* dkc_SingleListObject::next)(const DKC_SINGLELIST *)

BOOL(* dkc_SingleListObject::push_back)(struct dkc_SingleListObject *,const void *data,size_t size)

void size_t dkc_SingleListObject::size

const void size_t dkc_SingleListObject::size

DKC_SINGLELIST*(* dkc_SingleListObject::tail)(struct dkc_SingleListObject *)

The documentation for this struct was generated from the following file:

- dkcSingleList.h